Subject: Re: [X2Go-Dev] Bug#620: x2goclient hides KDE kickoff start panel before application selection if panel auto hide option selected

From: Diego COSTE <[email-masked]>
Date: Thu, 25 Sep 2014 11:08:22 +0200

Hi Mike,

this is not the same problem.
The panel always gets displayed when I move to the bottom of the screen,
but not long enough.
I suppose that at this moment KDE considers that the mouse cursor is not
over the menu any more and therefore auto-hides it.
I suspect there might be some special moves of the cursor right after
initial display of the panel that enable persistent display of the menu,
but I did not manage to guess any logic that would consistently lead to
this expected behaviour.
When it occurs though, the menu may remain displayed indefinitely.

Diego

On 24/09/14 21:15, Mike Gabriel wrote:
> Control: reassign -1 x2goclient
> Control: found 4.0.2.1
>
> Hi Diego,
>
> On  Mi 24 Sep 2014 18:32:15 CEST, Diego COSTE wrote:
>
>> Package: x2goclient.x86_64
>> Version: 4.0.2.1-1.fc20
>>
>> OS: KDE 4 on Fedora core 20 x86_64, yum-updated on Sept 23rd 2014 (both
>> client and server)
>>
>> Description: This is now only a minor problem, as while writing this bug
>> report I found a way to work-around the issue.
>> By default I configure the main KDE panel to auto-hide: main panel (=
>> window manager status bar with main menu) shows only if I move the mouse
>> to the bottom of the screen (there is a similar option available in
>> Windows 95...7).
>>
>> If I then access the Kickoff application launcher (start menu) with the
>> mouse, the menu closes after 1 or 2 seconds, before I select any
>> application or click on anything, so I can not access any app, except
>> the favourites which are available on the first menu page.
>> Problem does not occur when locally logging onto this server.
>> Problem does not occur on client's own KDE menu.
>> Once every 10-20 times, problem will not occur.
>> Problem does not occur if KDE panel is always shown (not auto-hidden) =>
>> Chosen work-around.
>
> Is this maybe a duplicate of the freshly reported issue #618 [1]?
> Hmmm... now that I read the complete subject of your original mail, I
> guess not.
>
>> I have not found any similar bug report, but I also did not find any
>> easy way to search the bug reports (looking for KDE for ex).
>
> Mike
>
> [1] http://bugs.x2go.org/618
>
>